<?php 
/****************************************************************/
/*          e-mo.pl © 2017                                      */
/*          http://www.e-mo.com.pl                              */
/*          e-mail: info@e-mo.pl                                */
/*          produkt: Action2osCommerce                          */
/*          wersja: 1.9.7                                       */
/*          webserwis: oscGold                                  */
/*          sciezka: https://www.e-mo.com.pl/plikit,1918,533545b244d7d.php*/
/*          data: 2017-09-25                                    */
/*          godz: 10:45:14                                      */
/****************************************************************/


@require_once('source/products.php');
@require_once('source/products_poziom.php');
@require_once('source/manufacturers.php');
@require_once('source/manufacturers_info.php');
@require_once('source/tax_rates.php');
@require_once('source/products_description.php');
@require_once('source/languages.php');

@require_once('source/produkty_cecha.php');
@require_once('source/sl_cechy.php');
@require_once('source/sl_cechy_typ.php');
@require_once('source/jm.php');

@require_once('source/specials.php');

$jezyk = languages::Szukaj($db->Conn);

$produkty = new products();
$produkty->Conn = $db->Conn;
	

if(isset($_GET['action']) && $_GET['action']=='xml')
{
	echo '<action>xml</action>';
	if(isset($_POST['ukryj']) && $_POST['ukryj']==1)
	{
			echo '<produkty>';		
			if($produkty->ZmienUkryj($_POST['paczkaSK']))
			{
				echo '<error>0</error>';
				echo '<msg>OK</msg>';
			}
			else
			{
				echo '<error>1</error>';
				echo '<msg>'.$produkty->errMsg[2].'</msg>';
			}
			echo '</produkty>';
		
	}
	else
	{
		$xml_parser = xml_parser_create('utf-8');
		$data = stripslashes($_POST['paczka']);
	
		xml_parse_into_struct($xml_parser, $data, $vals, $index);
		xml_parser_free($xml_parser);
		$params = array();
		$level = array();
			
		foreach ($vals as $xml_elem) 
		{
			if ($xml_elem['type'] == 'open')
			{
				if (array_key_exists('attributes',$xml_elem))
				{
					list($level[$xml_elem['level']],$extra) = array_values($xml_elem['attributes']);
				} 
				else 
				{
				  $level[$xml_elem['level']] = $xml_elem['tag'];
				}
			}
			
			if ($xml_elem['type'] == 'complete') 
			{
				$start_level = 3;
				$php_stmt = '$params';
				while($start_level < $xml_elem['level'])
				{			  
					$php_stmt .= '[$level['.$start_level.']]';
					$start_level++;
				}
				$php_stmt .= '[$xml_elem[\'tag\']][] = $xml_elem[\'value\'];';
				@eval($php_stmt);
			}
		}
		
		echo '<produkty>';
		
		

			for($i=0;$i<count($params['PRODUKT']['SYMBOL']);$i++)
			{
				
				if( ( isset($params['PRODUKT']['CECHAWARTOSC'][$i]) && !empty($params['PRODUKT']['CECHAWARTOSC'][$i]) )
					|| 
					( isset($params['PRODUKT']['CECHAWARTOSC2'][$i]) && !empty($params['PRODUKT']['CECHAWARTOSC2'][$i]) )
					)
				{
					
					$produkty = new products();
					$produkty->Conn = $db->Conn;

					$produkty->products_model =  $params['PRODUKT']['SYMBOL2'][$i];
					$produkty->products_id = $produkty->Sprawdz();

					$typ_1 = 0;
					$typ_2 = 0;
					
					echo '<produkt id="'.$produkty->products_id.'" kluczobcy="'.$params['PRODUKT']['SYMBOL'][$i].'" cena="'.$params['PRODUKT']['CENA'][$i].'" dostepny="'.$params['PRODUKT']['ILOSC'][$i].'" msg="BRAK" >';

					$typ = new sl_cechy_typ();
					$typ->Conn =  $db->Conn;
					$typ->sct_Nazwa = $params['PRODUKT']['CECHANAZWA'][$i];
					$typ->Jezyk = languages::Szukaj($db->Conn);

					$typ_1 = $typ->Sprawdz();

					if($typ_1 == 0 && !empty($params['PRODUKT']['CECHANAZWA'][$i]))
					{
						if(!$typ->Dodaj())
							echo '<przy name="Dodawanie cechy 1"  error="1" msg="'.$typ->errMsg[2].'" />';
						else 
							echo '<przy name="Dodawanie cechy 1"  error="0" msg="OK" />';

						$typ_1 = $typ->sct_Id;
					}
					else
					{
						echo '<przy name="Cecha 1 istnieje"  error="0" msg="OK" />';
					}
					
					
					$typ2 = new sl_cechy_typ();
					$typ2->Conn =  $db->Conn;
					$typ2->sct_Nazwa = $params['PRODUKT']['CECHANAZWA2'][$i];	
					$typ2->Jezyk = languages::Szukaj($db->Conn);
					$typ_2 = $typ2->Sprawdz();
					

					if($typ_2 == 0 && !empty($params['PRODUKT']['CECHANAZWA2'][$i]))
					{
						if($typ2->Dodaj())
							echo '<przy name="Dodawanie cechy 2"  error="1" msg="'.$typ2->errMsg[2].'" />';
						else 
							echo '<przy name="Dodawanie cechy 2"  error="0" msg="OK" />';
						
						$typ_2 = $typ2->sct_Id;
					}
					else
					{
						echo '<przy name="Cecha 2 istnieje"  error="0" msg="OK" />';
					}

					
					$cechaW = new sl_cechy();
					$cechaW->Conn = $db->Conn;
					$cechaW->c_Nazwa =$params['PRODUKT']['CECHAWARTOSC'][$i];
					$cechaW->Jezyk = languages::Szukaj($db->Conn);
					$cechaW->c_Id=$cechaW->Sprawdz2();

					if($cechaW->c_Id <= 0 &&  !empty($params['PRODUKT']['CECHAWARTOSC'][$i]))
					{
						if(!$cechaW->Dodaj())
							echo '<przy name="Dodawanie wartości cechy 1"  error="1" msg="'.$cechaW->errMsg[2].'" />';
						else 
							echo '<przy name="Dodawanie wartości cechy 1"  error="0" msg="OK" />';

						$cechaW->c_Id=$cechaW->Sprawdz2();
					}
					else 
					{
						echo '<przy name="Istnieje wartości cechy 1"  error="0" msg="OK" />';
					}
					
					$cecha_1 = $cechaW->c_Id;					
					
					$cechaW2 = new sl_cechy();
					$cechaW2->Conn = $db->Conn;

					$cechaW2->c_Nazwa = $params['PRODUKT']['CECHAWARTOSC2'][$i];
					$cechaW2->Jezyk =  languages::Szukaj($db->Conn);
					
					$cechaW2->c_Id=$cechaW2->Sprawdz2();

					if($cechaW2->c_Id <= 0 && !empty($params['PRODUKT']['CECHAWARTOSC2'][$i]))
					{
						if(!$cechaW2->Dodaj())
							echo '<przy name="Dodawanie wartości cechy 2"  error="1" msg="'.$cechaW2->errMsg[2].'" />';
						else 
							echo '<przy name="Dodawanie wartości cechy 2"  error="0" msg="OK" />';

						echo $cechaW2->c_Id=$cechaW->Sprawdz2();
					}
					else 
					{
						echo '<przy name="Istnieje wartości cechy 2"  error="0" msg="OK" />';
					}

					$cecha_2 = $cechaW2->c_Id;
					
					echo '<cecha>'.$typ_1.':'.$cecha_1.'</cecha>';
					echo '<cecha2>'.$typ_2.':'.$cecha_2.'</cecha2>';

					
					
					if($produkty->products_id > 0)
					{
						$cecha = new produkty_cecha();
						$cecha->Conn = $db->Conn;		
						
						$cecha->products_options_id=(int)$typ_1;
						$cecha->products_options_values_id= (int)$cecha_1;
						$cecha->pc_Id = $cecha->Sprawdz();	
						
						$_cenaMain = $cecha->GetPrice($produkty->products_id);
						$_cenaAtr = str_replace(',','.', $params['PRODUKT']['CENA'][$i]);
						$cecha->cena = abs($_cenaMain-$_cenaAtr);
						$cecha->plusik = ($_cenaMain-$_cenaAtr > 0 ) ? '-': '+';		
						$_cenyPrefix = false;
						
						if($cecha->pc_Id == 0)
						{
							if(!$cecha->DodajOptions())
								echo '<przy name="Dodawanie wartości cechy do cechy 1"  error="1" msg="'.$cecha->errMsg[2].'" />';
							else 
								echo '<przy name="Dodawanie wartości cechy do cechy 1"  error="0" msg="OK" />';
						}
						else 
						{
							echo '<przy name="Przypisanie wartości cechy do cechy 1 istnieje"  error="0" msg="OK" />';
						}

						$cecha->products_id = $produkty->products_id;
						$cecha->options_id = (int)$typ_1;
						$cecha->options_values_id = (int)$cecha_1;
						$cecha->a_Id = $cecha->SprawdzA();	

						if($cecha->a_Id == 0)
						{
							if($cecha->options_values_id> 0 && !$cecha->DodajAtrybuty())
								echo '<przy name="Dodawanie atrybutu 1 do produktu"  error="1" msg="'.$cecha->errMsg[2].'" />';
							else 
								echo '<przy name="Dodawanie atrybutu 1 do produktu"  error="0" msg="OK" />';
						}
						else 
						{
							if(!$cecha->ZmienAtrybuty())
							{
								echo '<przy name="Zmiana atrybutu 1 do produktu"  error="1" msg="'.$cecha->errMsg[2].'" />';
							}
							else 
								echo '<przy name="Zmiana atrybutu 1 do produktu"  error="0" msg="OK" />';

							echo '<przy name="Atrybut produktu istnieje"  error="0" msg="OK" />';
						}
						

						$cecha2 = new produkty_cecha();
						$cecha2->Conn = $db->Conn;		
						
						$cecha2->products_options_id=(int)$typ_2;
						$cecha2->products_options_values_id= (int)$cecha_2;
						$cecha2->pc_Id = $cecha2->Sprawdz();
						
						if($_cenyPrefix)
						{
							$_cenaMain = $cecha2->GetPrice($produkty->products_id);
							$_cenaAtr = str_replace(',','.', $params['PRODUKT']['CENA'][$i]);
							$cecha2->cena = abs($_cenaMain-$_cenaAtr);
							$cecha2->plusik = ($_cenaMain-$_cenaAtr > 0 ) ? '-': '+';
						}
						
						if($cecha2->pc_Id == 0)
						{
							if(!$cecha2->DodajOptions())
								echo '<przy name="Dodawanie wartości cechy do cechy 2"  error="1" msg="'.$cecha2->errMsg[2].'" />';
							else 
								echo '<przy name="Dodawanie wartości cechy do cechy 2 "  error="0" msg="OK" />';
						}
						else 
						{
							echo '<przy name="Przypisanie wartości cechy do cechy 2 istnieje"  error="0" msg="OK" />';
						}
						

						$cecha2->products_id = $produkty->products_id;
						$cecha2->options_id = (int)$typ_2;
						$cecha2->options_values_id = (int)$cecha_2;
						$cecha2->a_Id = $cecha2->SprawdzA();	

						if($cecha2->a_Id == 0)
						{
							if($cecha2->options_values_id > 0 && !$cecha2->DodajAtrybuty())
								echo '<przy name="Dodawanie atrybutu 2 do produktu"  error="1" msg="'.$cecha2->errMsg[2].'" />';
							else 
								echo '<przy name="Dodawanie atrybutu 2 do produktu"  error="0" msg="OK" />';
						}	
						else 
						{
							if(!$cecha2->ZmienAtrybuty())
							{
								echo '<przy name="Zmiana atrybutu 2 do produktu"  error="1" msg="'.$cecha->errMsg[2].'" />';
							}
							else 
								echo '<przy name="Zmiana atrybutu 2 do produktu"  error="0" msg="OK" />';
							
							echo '<przy name="Atrybut 2 produktu istnieje"  error="0" msg="OK" />';
						}					
					
						$cecha2->products_id = $produkty->products_id;
						$cecha2->ilosc =  $params['PRODUKT']['ILOSC'][$i];
						
						if($typ_1 > 0 && $typ_2 > 0 && $typ_1 < $typ_2)
							$cecha2->atrybuty=sprintf("%s-%s,%s-%s", $typ_1,$cecha_1, $typ_2, $cecha_2);
						elseif ($typ_1 > 0 && $typ_2 > 0 && $typ_1 > $typ_2)
							$cecha2->atrybuty=sprintf("%s-%s,%s-%s", $typ_2,$cecha_2, $typ_1, $cecha_1);
						elseif ($typ_1 > 0 && $typ_2==0)
							$cecha2->atrybuty=sprintf("%s-%s", $typ_1, $cecha_1);
						elseif ($typ_2 > 0 && $typ_1==0)
							$cecha2->atrybuty=sprintf("%s-%s", $typ_2, $cecha_2);
							
					
						$cecha2->s_Id = $cecha2->SprawdzS();
						
						if($cecha2->s_Id == 0)
						{
								if($cecha2->products_id >0 && !$cecha2->DodajStock())
									echo '<przy name="Dodawanie dostępności"  error="1" msg="'.$cecha2->errMsg[2].'" />';
								else 
									echo '<przy name="Dodawanie dostępności"  error="0" msg="OK" />';
						}
						else 
						{

							if(!$cecha2->UpdateStock())
								echo '<przy name="Zmiana dostępności"  error="1" msg="'.$cecha2->errMsg[2].'" />';
							else 
								echo '<przy name="Zmiana dostępności"  error="0" msg="OK" />';

							echo '<przy name="Dostępność istnieje."  error="0" msg="OK" />';
						}
						if(!$cecha2->UpdateStockProduktu())
						{
							echo '<przy name="Zmiana dostępności produkt"  error="1" msg="'.$cecha2->errMsg[2].'" />';
						}
						else 
						{
							echo '<przy name="Zmiana dostępności produktu"  error="0" msg="OK" />';
						}
					}
					echo '</produkt>';
				}
				else
				{	
					//print_r($params);
					$produkty->products_id=0;

					$produkty->products_model=$params['PRODUKT']['SYMBOL2'][$i];
					$produkty->products_id = $produkty->Sprawdz();
					$produkty->products_price = str_replace(",",".",$params['PRODUKT']['CENA'][$i]);
					if((int)$params['PRODUKT']['CENASRP'][$i] > (int)$params['PRODUKT']['CENA'][$i])
					{
						$produkty->products_retail_price = str_replace(",",".",$params['PRODUKT']['CENASRP'][$i]);
					}
					else
					{
						$produkty->products_retail_price = 0;
					}
					$produkty->products_last_modified = date('Y-m-d H:i:s', strtotime ("now"));
					$produkty->products_status=  isset($params['PRODUKT']['WIDOK'][$i]) && $params['PRODUKT']['WIDOK'][$i]=='on' ? 1:0;
					$produkty->products_quantity=str_replace(",",".",$params['PRODUKT']['ILOSC'][$i]);
					$produkty->emo_paczka = $_POST['paczkaSK'];
					
					if($produkty->products_id > 0 && $produkty->ZmienSzybko())
					{
						echo '<produkt id="'.$produkty->products_id.'" model="'.$produkty->products_model.'" cena="'.$produkty->products_price.'" dostepny="'.$produkty->products_status.'" ilosc="'.$produkty->products_quantity.'" msg="0K" />';
                                                
                                                //cena promocyjna
                                                $_cena_promo = str_replace(",",".",$params['PRODUKT']['CENAPROMO'][$i]);
                                                echo '<cena_promo>'.$_cena_promo.'</cena_promo>';
                                                echo '<cena_bez>'.$produkty->products_price.'</cena_bez>';

                                                $promocja = new specials();
                                                $promocja->Conn = $db->Conn;
                                                $promocja->products_id = $produkty->products_id;
                                                $promocja->specials_new_products_price = $_cena_promo;
                                                if(!empty($params['PRODUKT']['DATAPROMOCJI'][$i]))
                                                    $promocja->date_end = str_replace('00:00:00', '23:59:59' ,$params['PRODUKT']['DATAPROMOCJI'][$i]);
                                                else
                                                     $promocja->date_end ='2001-01-01 00:00:00';
                                                
                                                if($promocja->Usun())
                                                {
                                                        echo '<msg>Promocja usunieta</msg>';
                                                }

                                                if($produkty->products_price > $_cena_promo && $_cena_promo>0)
                                                {
                                                        if($promocja->Dodaj())
                                                        {
                                                                echo '<msg>Promocja dodana</msg>';
                                                        }
                                                }
                                                                                        
                                                if(produkty_cecha::ResetIlosc2($produkty->products_id, $db->Conn))
						{
							echo '<msg>reset cechy - ok</msg>';
						}
						else
						{
							echo '<msg>reset cechy - zle</msg>';
						}
					
						echo '<poziomy>';
						if($produkty->products_id > 0)
						{
							$poziom = new products_poziom();
							$poziom->Conn = $db->Conn;
							$poziom->products_id = $produkty->products_id;
							$poziom->pcz_Netto1= str_replace(",",".", $params['PRODUKT']['NETTO1'][$i]);		
							$poziom->pcz_Netto2= str_replace(",",".", $params['PRODUKT']['NETTO2'][$i]);		
							$poziom->pcz_Netto3= str_replace(",",".", $params['PRODUKT']['NETTO3'][$i]);	
							$poziom->pcz_Netto4= str_replace(",",".", $params['PRODUKT']['NETTO4'][$i]);
							$poziom->pcz_Netto5= str_replace(",",".", $params['PRODUKT']['NETTO5'][$i]);		
							$poziom->pcz_Netto6= str_replace(",",".", $params['PRODUKT']['NETTO6'][$i]);
							$poziom->pcz_Netto7= str_replace(",",".", $params['PRODUKT']['NETTO7'][$i]);	
							$poziom->pcz_Netto8= str_replace(",",".", $params['PRODUKT']['NETTO8'][$i]);	
							$poziom->pcz_Netto9= str_replace(",",".", $params['PRODUKT']['NETTO9'][$i]);
							
							if($poziom->Dodaj())
							{
								echo '<poziom>OK</poziom>';
							}
							else
							{
								echo '<poziom>'.$poziom->errMsg[2].'</poziom>';
							}

							echo '<msg>Komunikat</msg>';
						}
						echo '</poziomy>';
					}
					else if($produkty->products_id == 0)
					{
						echo '<produkt id="'.$produkty->products_id.'" model="'.$produkty->products_model.'" cena="'.$produkty->products_price.'" dostepny="'.$produkty->products_status.'" ilosc="'.$produkty->products_quantity.'" msg="BRAK" />';
					}
					else
					{
						echo '<produkt id="'.$produkty->products_id.'" model="'.$produkty->products_model.'" cena="'.$produkty->products_price.'" dostepny="'.$produkty->products_status.'" ilosc="'.$produkty->products_quantity.'" msg="ZLE" error="'.$produkty->errMsg[2].'"/>';
					}
				}
			}
				echo '</produkty>';
		}
	

}
else
{

	if(!empty($_POST['p_Producent']))
	{		
		$vendor= manufacturers::Szukaj(trim(str_replace('::amp::', '&',$_POST['p_Producent'])), $db->Conn);

		if($vendor==0)
		{			
			$prod= new manufacturers();
			$prod->Conn = $db->Conn;
			$prod->manufacturers_name = trim(str_replace('::amp::', '&',$_POST['p_Producent']));
			$prod->last_modified = date("Y-m-d H:i:s");
			$prod->date_added = date("Y-m-d H:i:s");
		
			
			if(!$prod->Dodaj())		
			{				
				echo '<msg>zle</msg>';
			}
			else
			{
				$prod_info= new manufacturers_info();
				$prod_info->Conn = $db->Conn;
				$prod_info->manufacturers_id = manufacturers::Szukaj(trim(str_replace('::amp::', '&',$_POST['p_Producent'])), $db->Conn);
				$prod_info->languages_id = $jezyk;
				
				if(!$prod_info->Dodaj())		
				{				
					echo '<msg>zle</msg>';
				}
				else
					echo '<msg>OK</msg>';
			}

			$vendor= manufacturers::Szukaj(trim(str_replace('::amp::', '&',$_POST['p_Producent'])), $db->Conn);		

		}
	}
	else	
		$vendor =0;	
	
	$produkty->products_model =  $_POST['p_PN'];
	$produkty->products_tax_class_id =  tax_rates::Szukaj($_POST['p_VAT'], $db->Conn);
	$produkty->manufacturers_id =  $vendor;
	$produkty->products_price =  isset($_POST['p_Cena']) ? str_replace(",",".",$_POST['p_Cena']):0;
	if(isset($_POST['p_CenaSRP']) && (int)$_POST['p_CenaSRP'] > (int)$_POST['p_Cena'])
	{
		$produkty->products_retail_price = $_POST['p_CenaSRP'];
	}
	else
	{
		$produkty->products_retail_price = 0;
	}
	$produkty->products_weight=  str_replace(",",".",$_POST['p_Waga']);
	$produkty->products_quantity= str_replace(",",".",$_POST['p_Ilosc']);	
	$produkty->products_status = isset($_POST['p_Widok']) && $_POST['p_Widok']=='on'? 1:0;	
    $produkty->products_last_modified = date('Y-m-d H:i:s', strtotime ("now"));
	$produkty->products_date_added = date('Y-m-d H:i:s', strtotime ("now"));
	$produkty->emo_paczka = $_POST['paczkaSK'];
	$produkty->products_id = $produkty->Sprawdz();
	$produkty->emo_nrdostawcy = $_POST['p_NumerDostawcy'];
	$produkty->emo_dostawca =  str_replace('::amp::', '&',$_POST['p_Dostawca']);
	$produkty->emo_kreskowy = $_POST['p_KodKreskowy'];
	$produkty->emo_uwagi = $_POST['p_Uwaga'];
	$produkty->products_jm_id = jm::Szukaj($_POST['p_JM'],$jezyk, $db->Conn);	
	$produkty->emo_paczka = $_POST['paczkaSK'];
	//dostepnoscTekst
	$produkty->availability_id = 0;
	if(isset($_POST['p_StatusDostepnosci']) && !empty($_POST['p_StatusDostepnosci'])) 
	{
		$query="Select products_availability_id from products_availability Where language_id='".$jezyk."' and products_availability_name='".str_replace('::plus::', '+',$_POST['p_StatusDostepnosci'])."'";
		$result = @mysql_query($query,$Conn);	
		
		while ($row = @mysql_fetch_array ($result)) 
		{	
			$products_availability_id = $row[0];
		}

		if($products_availability_id == 0)
		{
			$query="INSERT INTO  `products_availability` ( `language_id` ,  `products_availability_name` ,  `date_added` ,  `last_modified` ) VALUES ('".$jezyk."',  '".str_replace('::plus::', '+',$_POST['p_StatusDostepnosci'])."', now() , now())";
			$result = @mysql_query($query,$Conn);	
			$products_availability_id = mysql_insert_id($Conn);
		}
	}
	
	//print_r($produkty);
	
	echo '<p_Cena>'.$produkty->products_price.'</p_Cena>';

	if($produkty->products_id == 0 && $produkty->Dodaj())
	{
		echo '<error>0</error>';
		echo '<action>dodaj</action>';
		echo '<produkt>'.$produkty->Sprawdz().'</produkt>';
		
		$opis = new products_description();
		$opis->Conn = $db->Conn;

		$opis->products_id=$produkty->Sprawdz();
		$produkty->products_id  = $opis->products_id;
		$opis->language_id=$jezyk;
		$opis->products_name= str_replace('::amp::', '&', stripslashes($_POST['p_Nazwa']));
		$opis->products_description=str_replace('::amp::', '&', stripslashes($_POST['p_Opis']));
		$opis->products_short_description = str_replace('::amp::', '&', stripslashes($_POST['p_Skrot']));
		$opis->products_url='';
		$opis->products_viewed=1;

		if($opis->Dodaj())
		{
			echo '<msg>Wersja jezykowa dodana</msg>';
		}
		else
		{
			echo '<msg>Wersja jezykowa błąd</msg>';
		}

	}
	else if($produkty->products_id > 0 && $produkty->Zmien())
	{
		echo '<error>0</error>';
		echo '<action>zmien</action>';
		echo '<produkt>'.$produkty->products_id.'</produkt>';

		$opis = new products_description();
		$opis->Conn = $db->Conn;

		$opis->products_id=$produkty->Sprawdz();
		$produkty->products_id  = $opis->products_id;
		$opis->language_id=$jezyk;
		$opis->products_name=str_replace('::amp::', '&', stripslashes($_POST['p_Nazwa']));
		$opis->products_description=str_replace('::amp::', '&', stripslashes($_POST['p_Opis']));
		$opis->products_short_description = str_replace('::amp::', '&', stripslashes($_POST['p_Skrot']));
		$opis->products_url='';
		$opis->products_viewed=1;
		
		
		$jest = $opis->Szukaj();
		
		if($jest==0 && $opis->Dodaj())
		{
			echo '<msg>Wersja jezykowa dodana</msg>';
		}
		elseif($jest>0 && $opis->Zmien())
		{
			echo '<msg>Wersja jezykowa zmieniona</msg>';
		}
		else
		{
			echo '<msg>Wersja jezykowa błąd</msg>';
		}
	}
	else
	{			
		echo '<error>1</error>';
		echo '<msg>'.print_r($produkty->errMsg).'</msg>';
	}
	

	//cena promocyjna
	$_cena_promo = str_replace(",",".",$_POST['p_CenaPromo']);
	echo '<cena_promo>'.$_cena_promo.'</cena_promo>';
	echo '<cena_bez>'.$produkty->products_price.'</cena_bez>';
        
        $promocja = new specials();
        $promocja->Conn = $db->Conn;
        $promocja->products_id = $produkty->products_id;
        $promocja->specials_new_products_price = $_cena_promo;
        if(!empty($_POST['p_DataPromocji']))
             $promocja->date_end = str_replace('00:00:00', '23:59:59' ,$_POST['p_DataPromocji']);
        else
             $promocja->date_end ='2001-01-01 00:00:00';
                
        if($promocja->Usun())
        {
                echo '<msg>Promocja usunieta</msg>';
        }
                
        if($produkty->products_price > $_cena_promo && $_cena_promo>0)
	{
		if($promocja->Dodaj())
		{
			echo '<msg>Promocja dodana</msg>';
		}
	}

	echo '<p_Id>'.$produkty->products_id.'</p_Id>';
	
	if(produkty_cecha::ResetIlosc2($produkty->products_id, $db->Conn))
	{
		echo '<msg>reset cechy - ok</msg>';
	}
	else
	{
		echo '<msg>reset cechy - zle</msg>';
	}

	echo '<poziomy>';

	if($produkty->products_id > 0 && products_poziom::Check($db->Conn))
	{
		$poziom = new products_poziom();
		$poziom->Conn = $db->Conn;
		$poziom->products_id = $produkty->products_id;
		$poziom->pcz_Netto1= str_replace(",",".",$_POST['Netto1']);		
		$poziom->pcz_Netto2= str_replace(",",".",$_POST['Netto2']);		
		$poziom->pcz_Netto3= str_replace(",",".",$_POST['Netto3']);	
		$poziom->pcz_Netto4= str_replace(",",".",$_POST['Netto4']);
		$poziom->pcz_Netto5= str_replace(",",".",$_POST['Netto5']);		
		$poziom->pcz_Netto6= str_replace(",",".",$_POST['Netto6']);
		$poziom->pcz_Netto7= str_replace(",",".",$_POST['Netto7']);	
		$poziom->pcz_Netto8= str_replace(",",".",$_POST['Netto8']);	
		$poziom->pcz_Netto9= str_replace(",",".",$_POST['Netto9']);
		
		if($poziom->Dodaj())
		{
			echo '<poziom>OK</poziom>';
		}
		else
		{
			echo '<poziom>'.$poziom->errMsg[2].'</poziom>';
		}

		echo '<msg>Komunikat</msg>';
	}
	else 
	{
		echo '<msg>Brak poziomów cenowych</msg>';
	}
	echo '</poziomy>';

}


?>
